package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:BillController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:BillController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ClassifyCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ClassifyCommonController"],
        beego.ControllerComments{
            Method: "List",
            Router: "/pc/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ClassifyCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ClassifyCommonController"],
        beego.ControllerComments{
            Method: "SecondList",
            Router: "/pc/second/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ClassifyController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ClassifyController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:EnglishReportShareController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:EnglishReportShareController"],
        beego.ControllerComments{
            Method: "EnglishReportDetail",
            Router: "/share/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeCommonController"],
        beego.ControllerComments{
            Method: "PcListBanner",
            Router: "/pc/banner",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeCommonController"],
        beego.ControllerComments{
            Method: "PcColumnList",
            Router: "/pc/column/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeCommonController"],
        beego.ControllerComments{
            Method: "ListHome",
            Router: "/pc/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeController"],
        beego.ControllerComments{
            Method: "ListBanner",
            Router: "/banner",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:HomeController"],
        beego.ControllerComments{
            Method: "ListHome",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportCommonController"],
        beego.ControllerComments{
            Method: "ResearchReportList",
            Router: "/pc/research/report/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportCommonController"],
        beego.ControllerComments{
            Method: "PcSearchReportList",
            Router: "/pc/search/report/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "AddAudioRecord",
            Router: "/addAudioRecord",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "AddUpdateLabelReport",
            Router: "/addUpdateLabel",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "AddViewRecordReport",
            Router: "/addViewRecord",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "AuthorDetail",
            Router: "/author/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ListReport",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportShareController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:ReportShareController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/share/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:RunLogController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:RunLogController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: "/save",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserController"],
        beego.ControllerComments{
            Method: "Apply",
            Router: "/apply",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserController"],
        beego.ControllerComments{
            Method: "SmallLimit",
            Router: "/smallLimit",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"],
        beego.ControllerComments{
            Method: "CheckEmailCode",
            Router: "/checkEmailCode",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"],
        beego.ControllerComments{
            Method: "CheckSmsCode",
            Router: "/checkSmsCode",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"],
        beego.ControllerComments{
            Method: "GetEmailCode",
            Router: "/getEmailCode",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"],
        beego.ControllerComments{
            Method: "GetSmsCode",
            Router: "/getSmsCode",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"],
        beego.ControllerComments{
            Method: "Login",
            Router: "/login",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserNotAuthController"],
        beego.ControllerComments{
            Method: "Test",
            Router: "/test",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"],
        beego.ControllerComments{
            Method: "PcBind",
            Router: "/pc/bind",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"],
        beego.ControllerComments{
            Method: "CheckLogin",
            Router: "/pc/check/login",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"],
        beego.ControllerComments{
            Method: "GetGraphicVerifyCode",
            Router: "/pc/getGraphicVerifyCode",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"],
        beego.ControllerComments{
            Method: "PcGetSmsCode",
            Router: "/pc/getSmsCode",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:UserPcNotAuthController"],
        beego.ControllerComments{
            Method: "PcLogin",
            Router: "/pc/login",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:VideoController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:VideoController"],
        beego.ControllerComments{
            Method: "List",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:VideoController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:VideoController"],
        beego.ControllerComments{
            Method: "TagsList",
            Router: "/tags/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "WechatLogin",
            Router: "/login",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "Notify",
            Router: "/notify",
            AllowHTTPMethods: []string{"get","post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "PcWechatLogin",
            Router: "/pc/login",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:WechatController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:WechatController"],
        beego.ControllerComments{
            Method: "GetWxSign",
            Router: "/getWxSign",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_api/controllers:YbApplyController"] = append(beego.GlobalControllerRouter["hongze/hongze_api/controllers:YbApplyController"],
        beego.ControllerComments{
            Method: "YbApply",
            Router: "/ybApply",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
